﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Data.SqlClient;

namespace DataReaderTest
{
    class Program
    {
        static void Main(string[] args)
        {
            //接続文字列
            string constr = @"Data Source=(LocalDB)\v11.0;AttachDbFilename=C:\Work\Books.mdf;Integrated Security=True;Connect Timeout=30";

            //SqlConnectionオブジェクトを生成
            SqlConnection con = new SqlConnection(constr);

            //Usersテーブルのデータを取得するSQL文を作成
            string sql = "SELECT * FROM Users";

            //SqlCommandオブジェクトを生成
            SqlCommand cmd = new SqlCommand(sql, con);

            //データベースを開く
            con.Open();

            //SQL文を実行する
            SqlDataReader dr = cmd.ExecuteReader();

            //データリーダーの情報を表示する
            Console.WriteLine("列数：{0}", dr.FieldCount);
            Console.WriteLine("データがあるか？：{0}", dr.HasRows);
            Console.WriteLine();

            //データを取得する
            while (dr.Read())
            {
                Console.Write("ID：{0}　", dr[0]);
                Console.Write("ユーザー名：{0}　", dr["UserName"]);
                Console.Write("パスワード：**　");
                Console.Write("氏名：{0}", dr.GetString(3));
                Console.WriteLine();
            }

            //データリーダーを閉じる
            dr.Close();

            //データベースを閉じる
            con.Close();
            Console.ReadLine();
        }
    }
}
